aequasi
10/18/2012 - 8:00 PM

Install HomeDir

Install HomeDir

#!/bin/bash

command -v git > /dev/null 2>&1 || { echo >&2 "Git is required for this install. Please install and try again. Aborting."; exit 1; }
command -v curl > /dev/null 2>&1 || { echo >&2 "Curl is required for this install. Please install and try again. Aborting."; exit 1; }

server=$1

if [ -z "$1" ]
then
    echo "Specifiy a server name please (Shows up in PS1)":
    read server
    echo "\n"
    if [ -z "$server" ]
    then
        exit
    fi
fi



cd ~

git clone git://github.com/aequasi/HomeDir.git


echo "IGNORE THE DEVICE BUSY LINES"

sudo cp -R HomeDir/* ./
sudo cp -R HomeDir/.* ./
rmdir HomeDir.git

curl http://j.mp/spf13-vim3 -L -o - | sh

echo "HOSTNAME=\"$server\"" >> .variables.sh
echo "\nDone...\n"
sudo rm install.sh